summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2017-02-27 22:21:50 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2017-02-27 22:22:11 +0000
commitf70574691bd93d3b512520ef86c14e28642c283d (patch)
tree3ddb66bc64c6993eb4554bed52d57b9a5ca659a3 /dev-python
parentmedia-libs/smpeg2: fix build failure against gcc-6, bug #594912 (diff)
downloadgentoo-f70574691bd93d3b512520ef86c14e28642c283d.tar.gz
gentoo-f70574691bd93d3b512520ef86c14e28642c283d.tar.bz2
gentoo-f70574691bd93d3b512520ef86c14e28642c283d.zip
dev-python/statsmodels: version bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/statsmodels/Manifest2
-rw-r--r--dev-python/statsmodels/metadata.xml16
-rw-r--r--dev-python/statsmodels/statsmodels-0.5.0.ebuild67
-rw-r--r--dev-python/statsmodels/statsmodels-0.8.0.ebuild76
4 files changed, 85 insertions, 76 deletions
diff --git a/dev-python/statsmodels/Manifest b/dev-python/statsmodels/Manifest
index 2e761505dd7..1cffa0f4510 100644
--- a/dev-python/statsmodels/Manifest
+++ b/dev-python/statsmodels/Manifest
@@ -1,2 +1,2 @@
-DIST statsmodels-0.5.0.tar.gz 5519668 SHA256 65398518bdd414c712362738e61d34ee5ec07b4c084bba17c65af5f20ae109d0 SHA512 24526200f212c1ad4492b84aad65967254d89aecee4c9f5d76ed499aa9b8c7fe619ca7301810ff5e7aec407f2f01b139c9f9c152a4597fe21736d04b24f6dd0a WHIRLPOOL c2719d25873ea949da30c63895c4536c559c0f45923eb885a3f7f664f3b82783d9945b346032513c4e0f1df9b82f9657956885e05d94505207a4c9ddb10a489e
DIST statsmodels-0.6.1.tar.gz 6980841 SHA256 be4e44374aec9e848b73e5a230dee190ac0c4519e1d40f69a5813190b13ec676 SHA512 9047b8cf4b9d19bd697867cecef1c4608fd86f3d16e67e44d8c152e1e25918f5aff6b4843c58395e71614be401551e3e48d4dcf158480cbdb45d9735b1c5ea77 WHIRLPOOL b14c7f5b734b26190f23edbf4020ace135571d4c0fa45e3e174647879d4c6547273abbab6c8911c346bf85b433a1908bd230fa52a1e09ede0e74c5e5167a8ecf
+DIST statsmodels-0.8.0.tar.gz 9464851 SHA256 26431ab706fbae896db7870a0892743bfbb9f5c83231644692166a31d2d86048 SHA512 32bb7f36acc16796c445e5f695d958af4525fbbb2d374376fb4a73c972e3796fad05532456cef4aa5ee59d6fce11921174e17bbfc2e05d2488ce1ceac5175239 WHIRLPOOL 92dd92c9c5af6c73d90d2122e17306431be0263ae719db393400e5553ab4cbf3003603d0979b1528fd90bc1f5063d13d6778832f45f74e43ec70c829a684fedd
diff --git a/dev-python/statsmodels/metadata.xml b/dev-python/statsmodels/metadata.xml
index 18891a94f25..3935be27d5b 100644
--- a/dev-python/statsmodels/metadata.xml
+++ b/dev-python/statsmodels/metadata.xml
@@ -10,16 +10,16 @@
<name>Gentoo Mathematics Project</name>
</maintainer>
<longdescription lang="en">
- statsmodels is a Python module that allows users to explore data,
- estimate statistical models, and perform statistical tests. An
- extensive list of descriptive statistics, statistical tests,
- plotting functions, and result statistics are available for
- different types of data and each estimator. Researchers across
- fields may find that statsmodels fully meets their needs for
- statistical computing and data analysis in Python.
+ statsmodels is a Python module that allows users to explore data,
+ estimate statistical models, and perform statistical tests. An
+ extensive list of descriptive statistics, statistical tests,
+ plotting functions, and result statistics are available for
+ different types of data and each estimator. Researchers across
+ fields may find that statsmodels fully meets their needs for
+ statistical computing and data analysis in Python.
</longdescription>
<upstream>
<remote-id type="pypi">statsmodels</remote-id>
- <remote-id type="sourceforge">statsmodels</remote-id>
+ <remote-id type="github">statsmodels</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/statsmodels/statsmodels-0.5.0.ebuild b/dev-python/statsmodels/statsmodels-0.5.0.ebuild
deleted file mode 100644
index 03a91e2b117..00000000000
--- a/dev-python/statsmodels/statsmodels-0.5.0.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="Statistical computations and models for use with SciPy"
-HOMEPAGE="http://statsmodels.sourceforge.net/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples test"
-
-RDEPEND="
- dev-python/pandas[${PYTHON_USEDEP}]
- dev-python/patsy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
- examples? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
-DEPEND="
- dev-python/cython[${PYTHON_USEDEP}]
- dev-python/pandas[${PYTHON_USEDEP}]
- dev-python/patsy[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
- doc? (
- dev-python/matplotlib
- dev-python/sphinx
- dev-python/ipython )
- test? ( dev-python/nose[${PYTHON_USEDEP}] )"
-
-pkg_setup() {
- export MPLCONFIGDIR="${T}" HOME="${T}"
-}
-
-python_compile_all() {
- if use doc; then
- VARTEXFONTS="${T}"/fonts ${EPYTHON} setup.py build_sphinx || die
- fi
-}
-
-python_test() {
- cd "${BUILD_DIR}" || die
- VIRTUALX_COMMAND="nosetests"
- virtualmake --verbosity=3
-}
-
-python_install() {
- distutils-r1_python_install
- rm -r "${D}/$(python_get_sitedir)/statsmodels/examples" || die
-}
-
-python_install_all() {
- find "${S}" -name \*LICENSE.txt -delete
- use doc && HTML_DOCS=( build/sphinx/html/* )
- if use examples; then
- docompress -x /usr/share/doc/${PF}/examples
- insinto /usr/share/doc/${PF}
- doins -r examples
- fi
- distutils-r1_python_install_all
-}
diff --git a/dev-python/statsmodels/statsmodels-0.8.0.ebuild b/dev-python/statsmodels/statsmodels-0.8.0.ebuild
new file mode 100644
index 00000000000..c9550d803ab
--- /dev/null
+++ b/dev-python/statsmodels/statsmodels-0.8.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Statistical computations and models for use with SciPy"
+HOMEPAGE="http://www.statsmodels.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+CDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/patsy[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+"
+RDEPEND="${CDEPEND}
+ examples? ( dev-python/matplotlib[${PYTHON_USEDEP}] )
+"
+DEPEND="${CDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jupyter_client[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ dev-python/numpydoc[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "/sphinx.ext.intersphinx/d" -i docs/source/conf.py || die
+ export VARTEXFONTS="${T}"/fonts
+ export MPLCONFIGDIR="${T}"
+ export HOME="${T}"
+ echo "backend : Agg" > "${MPLCONFIGDIR}"/matplotlibrc || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx -b html --build-dir=docs/build
+}
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ virtx nosetests -v || die
+}
+
+python_install_all() {
+ find "${S}" -name \*LICENSE.txt -delete
+ use doc && HTML_DOCS=( docs/build/html/* )
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Plotting functionality" "dev-python/matplotlib"
+}